> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新对话变量

> 更新特定会话变量的值。值必须与预期类型匹配。



## OpenAPI

````yaml /zh/api-reference/openapi_chatflow.json put /conversations/{conversation_id}/variables/{variable_id}
openapi: 3.0.1
info:
  title: 工作流编排对话型应用 API (对话流 API)
  description: >-
    对话流应用支持会话持久化，允许将之前的聊天记录作为响应的上下文。对话流应用使用 `advanced-chat`
    模式，提供工作流级别的流式事件，用于详细的执行追踪，包括节点开始、完成、迭代和工作流生命周期。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: 工作流编排对话型应用 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 对话流
    description: 对话流应用的操作，包括对话消息、工作流执行详情和事件流。
  - name: 文件操作
    description: 文件上传和预览操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈操作。
  - name: 会话管理
    description: 与管理会话相关的操作。
  - name: 语音与文字转换
    description: 文字转语音和语音转文字操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
  - name: 标注管理
    description: 与管理标注直接回复相关的操作。
  - name: 人工介入
    description: 暂停等待人工输入的工作流恢复操作。
paths:
  /conversations/{conversation_id}/variables/{variable_id}:
    put:
      tags:
        - 会话管理
      summary: 更新对话变量
      description: 更新特定会话变量的值。值必须与预期类型匹配。
      operationId: updateChatflowConversationVariableZh
      parameters:
        - name: conversation_id
          in: path
          required: true
          description: 会话 ID。
          schema:
            type: string
            format: uuid
        - name: variable_id
          in: path
          required: true
          description: Variable ID.
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversationVariableUpdateRequest'
            examples:
              updateStringVariable:
                summary: 请求示例
                value:
                  value: new value
                  user: abc-123
      responses:
        '200':
          description: 变量更新成功。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationVariableItem'
              examples:
                updatedVariable:
                  summary: 响应示例
                  value:
                    id: a1b2c3d4-5678-90ab-cdef-1234567890ab
                    name: user_preference
                    value_type: string
                    value: new value
                    description: 用户偏好设置
                    created_at: 1705407629
                    updated_at: 1705411229
        '400':
          description: |-
            - `not_chat_app` : 应用模式与 API 路由不匹配。
            - `bad_request` : 变量值类型不匹配。
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    status: 400
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
                type_mismatch:
                  summary: bad_request
                  value:
                    status: 400
                    code: bad_request
                    message: 'Value type mismatch: expected string, got integer.'
        '404':
          description: |-
            - `not_found` : 会话不存在。
            - `not_found` : 会话变量不存在。
          content:
            application/json:
              examples:
                conversation_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Conversation Not Exists.
                variable_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Conversation Variable Not Exists.
components:
  schemas:
    ConversationVariableUpdateRequest:
      type: object
      description: 更新会话变量的请求体。
      required:
        - value
      properties:
        value:
          description: 变量的新值。必须与变量的预期类型匹配。
        user:
          type: string
          description: 用户标识符。
    ConversationVariableItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Variable ID.
        name:
          type: string
          description: 变量名称。
        value_type:
          type: string
          description: >-
            变量值类型。可选值：`string`、`number`、`object`、`secret`、`file`、`boolean`、`array[any]`、`array[string]`、`array[number]`、`array[object]`、`array[file]`、`array[boolean]`。
        value:
          type: string
          description: 变量值（复杂类型可以是 JSON 字符串）。
        description:
          type: string
          description: 变量描述。
        created_at:
          type: integer
          format: int64
          description: 创建时间戳。
        updated_at:
          type: integer
          format: int64
          description: 最后更新时间戳。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````